/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package Main;

import java.awt.Rectangle;

/**
 *
 * @author Administrador
 */
public class Carretera extends Dibujable {
       
    String nombre;
    private final String String;
    int tipo = 0;
    int ID;


    public int getTipo(){
        return tipo;
    }
    public Carretera(Entorno entorno,String  nombre){
        super(entorno);
        this.String = nombre;
        setSpriteName("carreteraV.gif");
    }

    public Carretera(Entorno entorno,String  nombre,int x,int y,int disposicion){
        super(entorno);
        this.String = nombre;
        switch(disposicion){
            case 0:
                tipo = 0;
                setSpriteName("carreteraV.gif");
                break;
            case 1:
                tipo = 1;
                setSpriteName("carreteraH.gif");
                break;
            default:
                setSpriteName("carreteraV.gif");
                break;

        }
        this.x = x;
        this.y = y;
    }
}
